/*
 *      PluSHS - Pluf Simple Hostname Scanner
 *      Copyright (C) 2001, 2002 pluf <pluf@wanadoo.es>
 * 
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE 
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * usage.c
 * 
 */
#include <stdio.h>

#include "plushs.h"

void
usage(show_macros)
	int show_macros;
{       

	if (!show_macros) {
	(void)printf("\n%s\n%s\n", TITLE, CODERS);
	(void)printf("usage: plushs [options] <ip>\n"
"Options:\n"
"        -a              Show hostname aliasses\n"
"        -c              turn off color\n"
"        -d              Run in background (daemon) mode\n"
"        -f \"format\"     Execute <format> string when a match is found\n"
"        -h              Display this help\n"
"        -l <ipsfile>    Resolve several ips from file\n"
"        -m              Like -f option, for -l option\n"
"        -o <logfile>    Output logs to <logfile>\n"
"        -s <pattern>    Search <pattern> and output to a logfile\n"
"        -t <timeout>    Set timeout\n"
"        -v              Verbose.\n"
"        -w <wait>       Wait <wait> seconds between each resolv\n"
"        -s <pattern>    Search <pattern> and output to a logfile\n"
"        -x <patfile>    Extract patterns from file and output to a logfile\n");
	}

	(void)printf("\n\"format\" - valid macros:\n"
"  %%s  insert space         %%h  insert hostname\n"
"  %%n  insert newline       %%c  insert double quotes\n"
"  %%t  insert tab           %%T  insert total ip addresses\n"
"  %%i  insert ip address    %%d  exec program in background mode\n"
"\n"
"<ip>	aaa.bbb.ccc.ddd\n\n");
        exit(0);
}
